| Flutter Impeller |

Public Attributes | List of all members
impeller::Contents::SnapshotOptions Struct Reference

`#include <contents.h>`

## Public Attributes
std::optional< Rect > | coverage_limit = std::nullopt
const std::optional< SamplerDescriptor > & | sampler_descriptor = std::nullopt
bool | msaa_enabled = true
int32_t | mip_count = 1
std::string_view | label = "Snapshot"
int32_t | coverage_expansion = 1

## Detailed Description

Definition at line 85 of file contents.h.

## Member Data Documentation

## ◆ coverage_expansion

int32_t impeller::Contents::SnapshotOptions::coverage_expansion = 1

Definition at line 91 of file contents.h.

Referenced by impeller::Contents::RenderToSnapshot(), and impeller::TextureContents::RenderToSnapshot().

## ◆ coverage_limit

std::optional<Rect> impeller::Contents::SnapshotOptions::coverage_limit = std::nullopt

Definition at line 86 of file contents.h.

Referenced by impeller::Contents::RenderToSnapshot(), and impeller::FilterContents::RenderToSnapshot().

## ◆ label

std::string_view impeller::Contents::SnapshotOptions::label = "Snapshot"

Definition at line 90 of file contents.h.

Referenced by impeller::Contents::RenderToSnapshot(), impeller::TextureContents::RenderToSnapshot(), and impeller::TiledTextureContents::RenderToSnapshot().

## ◆ mip_count

int32_t impeller::Contents::SnapshotOptions::mip_count = 1

Definition at line 89 of file contents.h.

Referenced by impeller::Contents::RenderToSnapshot(), and impeller::TextureContents::RenderToSnapshot().

## ◆ msaa_enabled

bool impeller::Contents::SnapshotOptions::msaa_enabled = true

Definition at line 88 of file contents.h.

Referenced by impeller::Contents::RenderToSnapshot().

## ◆ sampler_descriptor

const std::optional<SamplerDescriptor>& impeller::Contents::SnapshotOptions::sampler_descriptor = std::nullopt

Definition at line 87 of file contents.h.

Referenced by impeller::Contents::RenderToSnapshot(), impeller::TextureContents::RenderToSnapshot(), and impeller::TiledTextureContents::RenderToSnapshot().

The documentation for this struct was generated from the following file:

- impeller/entity/contents/contents.h